<?php

namespace Slovocast\Controller;

use Slovocast\Domain\Repository\Channel\ChannelRepositoryInterface;
use Slovocast\Domain\Repository\User\UserRepositoryInterface;
use Psr\Http\Message\ResponseInterface as Response;

class DashboardPage extends Controller
{
    public function __construct(
        protected UserRepositoryInterface $userRepository,
        protected ChannelRepositoryInterface $channelRepository
    ) { }

    public function handle(): Response
    {
        if (!$this->session->has("logged_in")) {

        }
        // get the user details
        // get the channels
        return $this->render('dashboard.twig', [ 'session' => $this->session ]);
    }
}
